org.apache.tinkerpop.gremlin.process.computer.traversal.strategy.decoration

## Class VertexProgramStrategy.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.traversal.strategy.decoration.VertexProgramStrategy.Builder

- Enclosing class:
    VertexProgramStrategy

      public static final class VertexProgramStrategy.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertexProgramStrategy.Builder` | `computer(Computer computer)`
    `VertexProgramStrategy.Builder` | `configure(Map<String,Object> configurations)`
    `VertexProgramStrategy.Builder` | `configure(String key, Object value)`
    `VertexProgramStrategy` | `create()`
    `VertexProgramStrategy.Builder` | `edges(Traversal<Vertex,Edge> edges)`
    `VertexProgramStrategy.Builder` | `graphComputer(Class<? extends GraphComputer> graphComputerClass)`
    `VertexProgramStrategy.Builder` | `persist(GraphComputer.Persist persist)`
    `VertexProgramStrategy.Builder` | `result(GraphComputer.ResultGraph resultGraph)`
    `VertexProgramStrategy.Builder` | `vertices(Traversal<Vertex,Vertex> vertices)`
    `VertexProgramStrategy.Builder` | `workers(int workers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### computer

          public VertexProgramStrategy.Builder computer(Computer computer)

    - #### graphComputer

          public VertexProgramStrategy.Builder graphComputer(Class<? extends GraphComputer> graphComputerClass)

    - #### configure

          public VertexProgramStrategy.Builder configure(String key,
                                                         Object value)

    - #### configure

          public VertexProgramStrategy.Builder configure(Map<String,Object> configurations)

    - #### workers

          public VertexProgramStrategy.Builder workers(int workers)

    - #### persist

          public VertexProgramStrategy.Builder persist(GraphComputer.Persist persist)

    - #### result

          public VertexProgramStrategy.Builder result(GraphComputer.ResultGraph resultGraph)

    - #### vertices

          public VertexProgramStrategy.Builder vertices(Traversal<Vertex,Vertex> vertices)

    - #### edges

          public VertexProgramStrategy.Builder edges(Traversal<Vertex,Edge> edges)

    - #### create

          public VertexProgramStrategy create()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.